Red for M4 by odnajdy ()

Red for M4

Requirements:  PC or MAC, Poser 6 or higher (Poser Pro 2010 recommended), product "Michael 4 Base" (by Daz3D), DazStudio - the product is compatible, but look at the ReadMe File


Customers Who Bought This Item Also Bought

Dangerous LADY for V4.2

By odnajdy

20.00 USD     35% Off

13.00 USD

BOXER for M4

By odnajdy

24.00 USD

Mad for M4

By odnajdy

20.00 USD